From c7f947c78f813085ea62eac3e2ce17ac5d66bb6f Mon Sep 17 00:00:00 2001
From: Paper Mountain Studio <kodycze@gmail.com>
Date: Wed, 17 Jul 2019 21:25:08 +0200
Subject: [PATCH] bzip2: update to 1.0.8

---
 srcpkgs/bzip2/patches/soname.patch | 22 +++++++++++-----------
 srcpkgs/bzip2/template             |  4 ++--
 2 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/srcpkgs/bzip2/patches/soname.patch b/srcpkgs/bzip2/patches/soname.patch
index 86980a00c27..48440d5b802 100644
--- a/srcpkgs/bzip2/patches/soname.patch
+++ b/srcpkgs/bzip2/patches/soname.patch
@@ -1,5 +1,5 @@
---- Makefile-libbz2_so.orig	2010-09-11 01:07:52.000000000 +0200
-+++ Makefile-libbz2_so	2013-02-05 14:40:44.940114622 +0100
+--- Makefile-libbz2_so.orig	2019-07-17 21:09:34.798780817 +0200
++++ Makefile-libbz2_so	2019-07-17 21:09:47.306781668 +0200
 @@ -22,9 +22,9 @@
  
  
@@ -12,21 +12,21 @@
  
  OBJS= blocksort.o  \
        huffman.o    \
-@@ -35,10 +35,11 @@ OBJS= blocksort.o  \
+@@ -35,10 +35,11 @@
        bzlib.o
  
  all: $(OBJS)
--	$(CC) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.7 $(OBJS)
-+	$(CC) -shared -Wl,-soname -Wl,libbz2.so.1 -o libbz2.so.1.0.7 $(OBJS)
- 	$(CC) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.7
+-	$(CC) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.8 $(OBJS)
++	$(CC) -shared -Wl,-soname -Wl,libbz2.so.1 -o libbz2.so.1.0.8 $(OBJS)
+ 	$(CC) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.8
  	rm -f libbz2.so.1.0
- 	ln -s libbz2.so.1.0.7 libbz2.so.1.0
-+	ln -s libbz2.so.1.0.7 libbz2.so.1
+ 	ln -s libbz2.so.1.0.8 libbz2.so.1.0
++	ln -s libbz2.so.1.0.8 libbz2.so.1
  
  clean: 
- 	rm -f $(OBJS) bzip2.o libbz2.so.1.0.7 libbz2.so.1.0 bzip2-shared
---- Makefile.orig	2013-02-05 14:41:08.980543085 +0100
-+++ Makefile	2013-02-05 14:41:34.306940942 +0100
+ 	rm -f $(OBJS) bzip2.o libbz2.so.1.0.8 libbz2.so.1.0 bzip2-shared
+--- Makefile.orig	2019-07-17 21:15:28.649804898 +0200
++++ Makefile	2019-07-17 21:16:14.981808051 +0200
 @@ -15,13 +15,13 @@
  SHELL=/bin/sh
  
diff --git a/srcpkgs/bzip2/template b/srcpkgs/bzip2/template
index 37ae79a0cbd..fb45265fc82 100644
--- a/srcpkgs/bzip2/template
+++ b/srcpkgs/bzip2/template
@@ -1,6 +1,6 @@
 # Template file for 'bzip2'
 pkgname=bzip2
-version=1.0.7
+version=1.0.8
 revision=1
 bootstrap=yes
 short_desc="Freely available, patent free, high-quality data compressor"
@@ -9,7 +9,7 @@ license="bzip2-1.0.6"
 homepage="https://sourceware.org/bzip2/"
 changelog="https://sourceware.org/bzip2/CHANGES"
 distfiles="https://sourceware.org/pub/bzip2/bzip2-${version}.tar.gz"
-checksum=e768a87c5b1a79511499beb41500bcc4caf203726fff46a6f5f9ad27fe08ab2b
+checksum=ab5a03176ee106d3f0fa90e381da478ddae405918153cca248e682cd0c4a2269
 
 do_build() {
 	make ${makejobs} CFLAGS="$CFLAGS -fPIC $LDFLAGS" LDFLAGS="$LDFLAGS" -f Makefile-libbz2_so
